Bug #1658

Feature #1680: Provide 1.7.1 hotfix

add qt5-svg as a dependency

Added by jmfisher 12 months ago. Updated 12 months ago.

Status:ResolvedStart date:22 Nov 2016
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:-
Target version:Sprint 33

Description

The qt5 svg libraries are a runtime dependency of BornAgain GUI, but not a compile-time dependency. On Arch linux for example, qt5-svg is a separate package which does not come with qt5base. So it is possible to successfully compile BornAgain without any errors or warnings, but without qt5-svg the GUI will be missing many icons.

History

#1 Updated by pospelov 12 months ago

  • Status changed from New to Sprint
  • Target version set to Sprint 33

#2 Updated by wuttke 12 months ago

  • Parent task set to #1602

#3 Updated by wuttke 12 months ago

  • Assignee set to wuttke

#4 Updated by wuttke 12 months ago

  • Parent task changed from #1602 to #1680

Resolved in f1de40e, pull request #93.f1de40e
Can be transfered to hotfix branch using git cherry-pick f1de40e.

#5 Updated by wuttke 12 months ago

  • Assignee deleted (wuttke)

#6 Updated by pospelov 12 months ago

  • Status changed from Sprint to Resolved

Also available in: Atom PDF